<template>
  <div>
    <v-row dense>
      <v-col
        v-for="project in projectStore.projects"
        :key="project.title"
        cols=12
        xs=6
        sm=4
      >
        <ProjectPreview
          :id="project.id"
          :title="project.title"
          :image="project.image"
          :shortDescription="project.shortDescription"
        >
        </ProjectPreview>
      </v-col>
    </v-row>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';
import { getModule } from 'vuex-module-decorators';
import ProjectPreview from '@/components/projectPreview.vue';
import ProjectModule from '@/store/modules/projects';
import UserModule from '@/store/modules/users';

@Component({ components: { ProjectPreview } })
export default class Projects extends Vue {
  private projectStore: ProjectModule = getModule(ProjectModule, this.$store);
  private userStore: UserModule = getModule(UserModule, this.$store);
}
</script>
